Difference between revisions of "SCSS"

From Dreamwidth Notes
Jump to: navigation, search
 
Line 3: Line 3:
 
== Installing compass ==
 
== Installing compass ==
  
Instructions are here:
+
Foundation 5.4 (currently on the develop branch) is not compatible with newer versions of SASS/compass, so we'll need to use an older version. Make sure Ruby is installed and then install using gem:
  
http://compass-style.org/install/
+
(if you had older versions):
 +
gem uninstall compass
 +
gem uninstall sass
  
But in short, make sure Ruby is installed and then install with gem:
+
gem install sass --version 3.2.19
 
+
  gem install compass --version 0.12.2
  gem install compass
+
  
 
== Compiling ==
 
== Compiling ==

Latest revision as of 03:13, 18 November 2014

SCSS is a version of SASS very similar to CSS, with some extra advantages. We are using compass as a compiler and using the SCSS version of Foundation.

Installing compass

Foundation 5.4 (currently on the develop branch) is not compatible with newer versions of SASS/compass, so we'll need to use an older version. Make sure Ruby is installed and then install using gem:

(if you had older versions):
gem uninstall compass
gem uninstall sass
gem install sass --version 3.2.19 
gem install compass --version 0.12.2

Compiling

To compile SCSS to CSS, cd to the directory ($LJHOME or $LJHOME/ext/dw-nonfree depending on what you are working on) and run:

compass compile

To continually compile any time you save a SCSS file and make changes, do the same but use this instead:

compass watch